Api Documentation

Page layouts components

Page layout components are the building blocks of page layouts. Each component has a type-specific settings object. See the settings parameter examples for each component type.
Creates a new component for a page layout. Only available to API keys without user authentication.
Updates an existing component. Only available to API keys without user authentication.
Deletes a component. Only available to API keys without user authentication.
Json
XML
POST https://api.bundeling.com/V2/page_layout_components

Parameters

Body

NameDescriptionTypeNillableRequired
page_layout_uuidUUID of the parent page layoutstringfalsetrue
component_typeType of component: text, image, content_container
Accepted values: text, image, content_container
stringfalsetrue
positionPosition within the layoutintfalsefalse
settingsComponent-specific settings (JSON object). Settings per component_type:

TEXT: content (string, required) - HTML content

IMAGE: No settings are required. Upload image via the files endpoint using the component UUID.

CONTENT_CONTAINER: content_types (array, required - values: news:{categoryId}, events:{categoryId}, bulletinboard:{boardId}, polls, matches), layout_category (original|card|list|grid, default: original), layout_display_type (card_1|card_2|card_3|list_1|list_2|grid_1|grid_2|grid_3 or null for original category), content_type_layouts (object, optional - per-content-type layout overrides keyed by content type identifier, each value: {layout_category, layout_display_type}), item_count (int, default: 5), labels (array of label UUIDs), scroll_direction (vertical|horizontal, default: vertical)
mixedfalsetrue
external_referenceExternal system referencestringfalsefalse

Example request

Headers

Content-Type:application/json
Api-Key:RAegSX8yZfEbqSPM

Body

{
    "page_layout_uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
    "component_type": "text",
    "position": 0,
    "settings": {
        "content": "

Welcome to our community hub

" }, "external_reference": "" }

Example response

{
    "uuid": "abc123def456789012345678901234ab",
    "page_layout_uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
    "component_type": "text",
    "position": 0,
    "settings": {
        "content": "

Welcome to our community hub

" }, "external_reference": "", "creationdate": "2026-07-03T06:05:52+0200", "lastupdate": "2026-08-02T06:05:52+0200" }